Subject: Ticket Assigned - Complaining in delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 11 Mar 2023 12:11:58 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complaining in delivery  
Complain
About your bad service bad follow up to my delivery issue

I call the call center
Whatssp follow i contact around 7 person from yesterday with no reply
I send email

I triad to check where is my items
Till now no answer

No follow
All i see just will follow up with courier company with out any action taken

Order 9418391326

Regard
Noura
0505533299

Sent from my iPhone

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5827791